# The base path
export PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:$PATH

# The scripts path
export PATH=$DOTFILES/zsh/bin:$PATH
if [ -d "$HOME/.scripts" ]; then
    export PATH=$HOME/.scripts:$PATH
fi

# Rust path
if [ -d $HOME/.cargo ]; then
    export PATH=$HOME/.cargo/bin:$PATH
fi

# Nvm path
if [ -d $HOME/.nvm ]; then
    export NVM_DIR="$HOME/.nvm"
    # Sourcing this is really slow
    # source $NVM_DIR/nvm.sh
    # So well just export the path
    export PATH=$HOME/.nvm/versions/v11.4.0/bin:$PATH
fi

# LD_LIBRARY_PATH: I don't know why there is this line here but I'm too scared
# to delete it
export LD_LIBRARY_PATH=/usr/lib:$LD_LIBRARY_PATH

# Texmf home: hidden directory
export TEXMFHOME=$HOME/.texmf

# My git directory: where I want to clone all my repos
export GCLONE_PATH=~/git
